Bug 8208 - Add "create authority" button to auth_finder plugin
Summary: Add "create authority" button to auth_finder plugin
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Cataloging (show other bugs)
Version: 3.10
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Jared Camins-Esakov
QA Contact: Paul Poulain
URL:
Keywords:
Depends on:
Blocks: 8212
  Show dependency treegraph
 
Reported: 2012-06-07 14:19 UTC by Jared Camins-Esakov
Modified: 2013-12-05 20:01 UTC (History)
2 users (show)

See Also:
Change sponsored?: Sponsored
Patch complexity: ---
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments
Bug 8208: Add fast-add link to auth finder plugin (3.51 KB, patch)
2012-07-02 17:14 UTC, Jared Camins-Esakov
Details | Diff | Splinter Review
[SIGNED-OFF] Bug 8208: Add fast-add link to auth finder plugin (3.70 KB, patch)
2012-07-09 06:19 UTC, Katrin Fischer
Details | Diff | Splinter Review
screenshot (43.26 KB, image/png)
2012-07-09 06:22 UTC, Katrin Fischer
Details
Bug 8208 follow-up: move Clear and Create new buttons out of results (5.28 KB, patch)
2012-07-09 13:10 UTC, Jared Camins-Esakov
Details | Diff | Splinter Review
[SIGNEd-OFF] Bug 8208 follow-up: move Clear and Create new buttons out of results (5.43 KB, patch)
2012-07-09 20:48 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Jared Camins-Esakov 2012-06-07 14:19:25 UTC
Right now if you want to link a heading to a new authority record, you have to either use BiblioAddsAuthorities to automatically generate the authority, or create a new authority in the authority module, and wait for the indexer to catch up. There should be a "create authority" button that -- like the fast add functionality in circ -- allows you to create an authority and immediately populate the heading.
Comment 1 Jared Camins-Esakov 2012-07-02 17:14:36 UTC Comment hidden (obsolete)
Comment 2 Katrin Fischer 2012-07-09 06:15:54 UTC
This works nicely, but with one caveat: The link is only shown on a result list of authority records. This means you have to find authority records you don't want to use first. I would like the link to also show when no authority records have been found for a search.

If you got results, 2 links show in the first 2 lines of the result list.
Clear 
Create new
(see screenshot)

I never before noticed the "Clear" link and I am not sure what this is used for. It seems to close the window and leave the fields empty. But maybe there is more to it?

Both links seem a bit misplaced as separate lines in the table. I would have expected them to show up separately, maybe above the table as buttons/links.

"choose" should be capitalized.

This is still a big improvement compared to the current workflow, so signing off.
Comment 3 Katrin Fischer 2012-07-09 06:19:56 UTC
Created attachment 10708 [details] [review]
[SIGNED-OFF] Bug 8208: Add fast-add link to auth finder plugin

When performing subject analysis, it is not uncommon to find that an
authority record you need does not exist. This commit adds a link in
the search results to enable the cataloger to create an authority on
the fly and have the heading populated by the new authority.

To test:
1. Use the auth finder plugin the cataloguing module to search for a
   heading you do not have an authority record for.
2. Click the "Create new" link.
3. Fill in your authority and save it.
4. Note that the heading field was populated with the data you entered
   in the authority record.

Signed-off-by: Katrin Fischer <Katrin.Fischer.83@web.de>
1) Added a new authority using the plugin
2) Used an existing authority using the plugin
3) Created a new authority in the authority module

All worked nicely.
Comment 4 Katrin Fischer 2012-07-09 06:22:57 UTC
Created attachment 10709 [details]
screenshot
Comment 5 Jared Camins-Esakov 2012-07-09 11:43:33 UTC
(In reply to comment #2)
> This works nicely, but with one caveat: The link is only shown on a result
> list of authority records. This means you have to find authority records you
> don't want to use first. I would like the link to also show when no
> authority records have been found for a search.
> 
> If you got results, 2 links show in the first 2 lines of the result list.
> Clear 
> Create new
> (see screenshot)
> 
> I never before noticed the "Clear" link and I am not sure what this is used
> for. It seems to close the window and leave the fields empty. But maybe
> there is more to it?

That is for if you already have a link in the field and would like to remove it. It has always driven me nuts that you have to do a search before you could get to it, but I figured there must be a reason for that so kept it as it was. If there's consensus that I can move the links to pre-search, I would certainly be happy to do that!

> Both links seem a bit misplaced as separate lines in the table. I would have
> expected them to show up separately, maybe above the table as buttons/links.
> 
> "choose" should be capitalized.

For the QA team: note that these are not new issues.

> This is still a big improvement compared to the current workflow, so signing
> off.
Comment 6 Katrin Fischer 2012-07-09 12:24:00 UTC
I confirm, the issues I noted are not new!

But I was secretly hoping for a follow-up moving the links to a sane place :) So yes, I agree with the idea to move them out of the table. Can we get some more opinions on this?
Comment 7 Jared Camins-Esakov 2012-07-09 13:10:19 UTC Comment hidden (obsolete)
Comment 8 Katrin Fischer 2012-07-09 20:48:39 UTC
Created attachment 10732 [details] [review]
[SIGNEd-OFF] Bug 8208 follow-up: move Clear and Create new buttons out of results

Turns "Clear" and "Create new" links into buttons that are visible
before a search is performed, so that the user does not have to do
a search just to clear the field or create a new authority. This
commit also changes the formatting from textual links to buttons.

Signed-off-by: Katrin Fischer <Katrin.Fischer.83@web.de>
Nicer and more logical display.
Allows creating of a new authority without doing a search first
or when no results were found.
Comment 9 Paul Poulain 2012-07-26 15:50:13 UTC
QA comment : nice patch, clean and logical code. passes perlcritic & translatable-templates

passed QA
Comment 10 Jared Camins-Esakov 2012-12-03 13:26:54 UTC
This feature is now available in Master.